pilot-install-todo(1)

NAME
pilot-install-todo - Updates the Palm ToDo list with one new entry.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-install-todo [-p|--port <port>] [-q|--quiet] [--version] [-?|--help] [--usage] [-P|--priority [1|2|3|4|5]] [-d|--due mm/dd/yyyy] [-c|--completed] [-D|--description [title]] [-n|--note note] [-f|--file filename]

DESCRIPTION

 pilot-install-todo allows the user to install one new ToDo list entry with specified paramters passed to pilot-install-todo and add a Note entry using text found in a filename <filename> passed to pilot-install-todo.

OPTIONS

  pilot-install-todo options
                        -P,
                        --priority priority

Specify the priority of the ToDo entry - 1|2|3|4|5 (defaults to a priority of 1).

 NOTE: this value has changed from the default of 4 to the default of 1, just as a new ToDo entry on the Palm would set it.
                        -d,
                        --due duedate

The due Date MM/DD/YYYY (defaults to blank, no due date if this is not specified).
                        -c, --completed

Mark the item complete (the default is to mark the item as incomplete, as the Palm would do it).
                        -D,
                        --description title

The title of the ToDo entry
                        -n, --note
                        note

The Note text you wish to add to this ToDo entry, if any.
                        -f,
                        --file filename

A local filename containing the Note text.

  Conduit Options
                        -p, --port
                        <port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-install-todo will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-install-todo will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-install-todo and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-install-todo and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

The program will connect to a target Palm handheld, and creates the ToDo entry to the Palm ToDo application, using the specified parameters and input from the supplied file passed as arguments on the commandline.

EXAMPLE

 pilot-install-todo -p /dev/pilot -n 'Buy Milk' -D 'Go shopping, see note for items'

AUTHOR

 pilot-install-todo was originally written by Martin Fick, based on code in pilot-install-todos by Robert A. Kaplan.

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-install-todos(1), pilot-link(7).